/* Base styles for header */
.offer-header {
    background-color: 	#FFFFED; /* Matching or complementary color */
    color: black;
    padding: 5px 0;
    text-align: center;
    font-size: 16px;
    font-weight: bold;
    position: sticky;
    top: 0;
    z-index: 1000;
    overflow: hidden;
    width: 100%;
}

/* Scrolling text wrapper */
.scrolling-text-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    white-space: nowrap;
}

/* Scrolling text */
.scrolling-text {
    display: inline-block;
    white-space: nowrap;
    animation: scroll-left 20s linear infinite;
}

/* Style for the coupon code */
.coupon-code {
    font-weight: bold;
    background-color: #ffffff;
    color: #880e4f;
    padding: 3px 8px;
    border-radius: 5px;
    margin-left: 5px;
}

@keyframes scroll-left {
    0% {
        transform: translateX(100%); /* Start off-screen right */
    }
    100% {
        transform: translateX(-100%); /* Move off-screen left */
    }
}

/* Responsive styles */
@media (max-width: 768px) {
    .offer-header {
        font-size: 15px;
        padding: 8px 0;
      position: sticky;
    }
}
.header-wrapper {
    padding-top: 0px !important;
    padding-bottom: 0px !important;
}
.product-inner .product__title {
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    color: black;
    display: -webkit-box;
    font-size: 15px;
    font-weight: 800;
    height: 3em;
    line-height: 1.5em;
    margin-bottom: 5px;
    margin-top: 5px;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 100%;
    }
    .product-inner .product__title a {
    box-shadow: none;
    color: black;
    line-height: 20px;
    text-decoration: none;
    transition: .3s ease;
}